﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class BlessingShopButton : MonoBehaviour {

    private BlessingObject[] blessings; // to get access to the blessing array
    public PlayerStats stats; // to activate blessings
    public int blessingNumber;
    public Text blessingName;
    public Text description;
    public Text cost;
    public Image imageDisplay;
    public Money money; // to access and manipulate coin amount
    private int price;
    public Button shopButton; // to access button colours
    private ColorBlock block;
    public bool activated; // to check if it's been purchased

    // ** BUTTON NAVIGATION IS SET TO NONE - WILL HAVE TO TWEAK IF WE DECIDE ON CONTROLLER IMPLEMENTATION

    void Start() {
        stats = GameObject.Find("ShopPlayer").GetComponent<PlayerStats>();
        blessings = GameObject.Find("Canvas").GetComponent<PotionList>().blessings;
        price = blessings[blessingNumber].cost;
        block = new ColorBlock();
        block = shopButton.colors;
        setButton();
    }

    // Update is called once per frame
    void Update() {

    }

    // created by following the 'Creating An In-Game Shop' shop tutorial on unity3d.com
    // dynamically allocates the shop buttons based on created weapons
    void setButton() {
        string costToString = blessings[blessingNumber].cost.ToString(); // convert float to string
        blessingName.text = blessings[blessingNumber].blessingName;
        description.text = blessings[blessingNumber].blessingDescription;
        cost.text = costToString;
        imageDisplay.sprite = blessings[blessingNumber].image;
    }
}
